## drbl-installer 1.04-1

=== Makefile ===
all: clean
	cp drblsrv/makeit .
	. makeit
	cp drblpush/makeit .
	. makeit
	rm -f makeit

install: all
	install -m 755 build/drblpush $(INSTPATH)/sbin
	install -m 755 build/drblsrv $(INSTPATH)/sbin

clean:
	rm -rf build

apt:
	dpkg-buildpackage
	scp ../drbl-installer* klhaung@os.nchc.org.tw:~/drbl/debian/apt/sarge/drbl/installer
	scp ../drbl-installer* klhaung@os.nchc.org.tw:~/drbl/debian/apt/woody/drbl/installer
	rm ../drbl-installer*
	debian/rules clean

apt-test:
	dpkg-buildpackage
	scp ../drbl-installer* klhaung@os.nchc.org.tw:~/drbl/debian/apt/repository-test/installer
	scp ../drbl-installer* klhaung@os.nchc.org.tw:~/drbl/debian/apt/repository-test/installer
	rm ../drbl-installer*
	debian/rules clean
