=== drblcd/Makefile ===

all: clean
	./make-livecd

no_bootstrap: clean
	./make-livecd --no_bootstrap

non_interactive:
	./make-livecd --non_interactive drbl

clean:
	rm -f setupx.tar
	rm -f setupx.tar.gz
	rm -f cdimage.iso
	rm -rf setupx
	rm -rf drbl.tar.gz
	rm -f *.iso
	rm -f *.md5sum
