=== drblpush/freedos/Makefile ===
FDOS_VERSION = beta9rc2
FDOS_IMAGE = boot1440.img
FDOS_SOURCE = http://www.ibiblio.org/pub/micro/pc-stuff/freedos/files/distributions/$(FDOS_VERSION)/diskimg/$(FDOS_IMAGE)

all: fdos memtest

fdos : $(FDOS_IMAGE)
	./make_fdos.sh

memtest :

clean:
	rm -f *.img
	rm -f *.nbi

# download the file if needed
$(FDOS_IMAGE) :
	[ -f $(FDOS_IMAGE) ] || wget $(FDOS_SOURCE) || true
