=== drblpush/packet/Makefile ===

CC=gcc

.SUFFIXES:
.SUFFIXES: .c .o

all: packet

packet: packet.o
	$(CC) -o packet -lpcap -lpthread $? 

install: packet
	mv packet ../detect_mac

clean:
	rm -rf *.o
	rm -rf packet

.c.o:
	$(CC) -c -o $@ $<
