=== misc/module/Makefile ===

CC=/usr/bin/gcc
MOD_OBJS=main.o proc.o net.o

all: ${MOD_OBJS}
	ld -r ${MOD_OBJS} -o drbl.o

install: ${MOD_OBJS}
	install -m 644 drbl.o /lib/modules/misc

clean:
	rm -f *.o

.c.o:
	${CC} -O2 -D__KERNEL__ -DMODULE -I/usr/src/linux/include -c $<
