=== debian/changelog ===
drbl-installer (1.04-1) unstable; urgency=low

  * use shore name 'drblsrv' and 'drblpush' instead of 'drblsrv-desktop' and 'drblpush-desktop'
  * use drblsrv for server's configuration which combine original drblsrv-desktop and drblcli-desktop
  * sync 4-step and 2-step installation

 -- Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>  Wed, 11 Aug 2004 13:35:04 +0800

drbl-installer (1.03) unstable; urgency=low

  * 1.02 patch 1 ~ 6
  * installation on SCSI hd

 -- Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>  Tue, 04 May 2004 09:37:29 +0800

drbl-installer (1.02) unstable; urgency=low

  * drblsrv: use drblsrv-desktop to install DRBL
  * drblcli: use drblcli-desktop to install DRBL
  * drblpush: allow multiple kernel version

 -- Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>  Thu, 19 Feb 2004 13:04:21 +0800

drbl-installer (1.01) unstable; urgency=low

  * drblpush: client switch for multicast clonezilla
  * drblcli: setupx monitor resolution problem

 -- Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>  Sun, 23 Nov 2003 14:18:25 +0800

drbl-installer (1.0) unstable; urgency=low

  * Initial Release.

 -- Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>  Sun, 23 Nov 2003 14:18:25 +0800
