=== debian/control ===
Source: drbl-installer
Section: drbl
Priority: optional
Maintainer: Blake,Kuo-Lien Huang <klhaung@nchc.org.tw>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: drbl-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: installer for DRBL
 drblsrv: install and setup needed packages on DRBL server 
 drblpush: configure DRBL clients
